MasCustomers API save_alt

I am MasCustomers API. My intention is provide the necessary functionality to be able to give E2E coverage to the entire life-cycle of a client.

NOTE: The examples provided here are made up and should not be used for testing purposes. Make sure to change all parameters before attempting to make any request.

Resources

Resource Description
Accounts Access to accounts
External accounts Access to external accounts
Customers Access to customers
External customers Access to external customers
Categories Access to customer categories
Customers Categories Access to customer categories
Special Treatment Access to special treatment
Customer Special Treatment Access to customers special treatment
Credit Card Tokenization Credit card tokenization request operations
Customer credentials Access to customer credentials
Customer identification processes Access to customer identification processes

Security

warningAuthentication

All MasStack APIs uses JWT tokens to authorize all the requests. Following this, an Auhtorization with a Bearer JWT token is needed in all the requests.

In the Authorization Guides you can find documentation about JWT Tokens and how to get them in MasStack.

Base URLs

Environment Base Path
staging https://customers.sta.masstack.com/v4
production https://customers.masstack.com/v4

Release details

### Release Notes * **4.63.0** : Add new endpoints - Added new endpoint POST /orgs/{org_id}/customers/{customer_id}/credentials/migration
  • 4.62.2 : Delete type for GET /orgs/{org_id}/accounts/{account_id}/invoice-recipient

    • Delete user type
    • Add field name for different customers
  • 4.62.1 : Add nationality field to PatchPersonalInfo

    • Added nationality field to PatchPersonalInfo schema
    • Added PersonalInfoNationality schema with ISO 3166-1 alpha-2 pattern validation (^[A-Z]{2}$)
  • 4.62.0 : Add address_lines validation for undefined string and max length 100

    • Reject address_lines values containing the literal string "undefined" in POST /customers and POST /customers/{id}/accounts
    • Enforce max length of 100 characters on address_lines items, aligned with Oracle column limits
    • Updated maxLength from 255 to 100 in Address and BillingAddress schemas
  • 4.61.0 : Add new endpoints

    • Added new endpoint GET /orgs/{org_id}/accounts/{account_id}/invoice-recipient
  • 4.60.0 : Add PUT /customers/{customer_id}/associated_users:

    • Added new endpoint PUT /orgs/{org_id}/customers/{customer_id}/associated_users
    • Added schema PutAssociatedUsersRequest for the request body (reuses AssociatedUser for items)
  • 4.59.0 : Add description in PatchCompanyInfo object

    • Added description in PatchCompanyInfo object to show some examples of valid and invalid uses
  • 4.57.0 : Remove associated_users from customers PATCH:

    • Removed associated_users property from PatchCompanyInfo schema
    • Removed PatchAssociatedUser schema (no longer referenced)
    • GET operations retain full associated_users support in CompanyInfo and CompanyInfoResponse
  • 4.56.1 : Add customer_external_id to GET Account response

    • Added optional nullable field customer_external_id to GET /orgs/{org_id}/accounts/{account_id} response
    • Field contains the legacy Oracle CUSTOMERID for Telco customers, null for Digital customers
  • 4.56.0 : Add PATCH customers credentials:

    • Added new endpoint PATCH /orgs/{org_id}/customers/{customer_id}/credentials/{credential_id}
  • 4.55.0 : Add credit card tokenization support

    • Added new endpoint GET /orgs/{org_id}/accounts/{account_id}/tokenization-requests
    • Added reference_id option in POST /orgs/{org_id}/customers/{customer_id}/accounts payment method details
    • Added reference_id option in PATCH /orgs/{org_id}/accounts/{account_id}/payment-method details
  • 4.54.2 : Add examples for customer types in GET /orgs/{org_id}/customers/{customer_id}

    • Added examples for Digital Customer, Private Customer, and Corporate Customer response types
    • Examples demonstrate the different response schemas based on customer type discriminator
  • 4.54.1 : change permissions read for list in the endpoints

    • GET /orgs/{org_id}/accounts/{account_id}/promotions
    • GET /orgs/{org_id}/accounts/{account_id}/promotions_hist
  • 4.54.0 : Add new endpoints

    • Added new endpoint GET /orgs/{org_id}/accounts/{account_id}/promotions
    • Added new endpoint GET /orgs/{org_id}/accounts/{account_id}/promotions_hist
  • 4.53.1 : modify respond to post account promotion endpoint

    • Add response body in endpoint POST /orgs/{org_id}/accounts/{account_id}/promotions
  • 4.53.0: Add new endpoint

    • Added new endpoint PATCH and POST /orgs/{org_id}/accounts/{account_id}/promotions
  • 4.52.0: Add new endpoint

    • Added new endpoint GET /orgs/{org_id}/accounts/{account_id}/billing-address
  • 4.51.2: Remove special treatment pattern restriction

    • Removed pattern restriction for special treatment values in POST and PUT endpoints.
  • 4.51.1: Update life cycle object documentation

  • 4.51.0: Add new endpoint

    • Added new endpoint DELETE /orgs/{org_id}/customers/{customer_id}/special-treatment
  • 4.50.0: Add new endpoints

    • Added new endpoint GET /orgs/{org_id}/special-treatment
    • Added new endpoint PATCH /orgs/{org_id}/special-treatment
    • Added new endpoint GET /orgs/{org_id}/customers/{customer_id}/special-treatment
    • Added new endpoint PUT /orgs/{org_id}/customers/{customer_id}/special-treatment
  • 4.49.1: Permission unification.

  • 4.49.0 : Changes in returned fields for GET /orgs/{org_id}/accounts/{account_id}

  • New: Added new delivery_mode to AccountInvoice schema.
  • 4.48.0 : Changes in returned fields for GET /orgs/{org_id}/accounts/{account_id}
  • New: Added new not nullable field due_date_id to AccountInvoice schema.
  • New: Added new not nullable field due_days_id to AccountInvoice schema.
  • 4.47.0 : Add new endpoint

    • Added new endpoint PATCH /orgs/{org_id}/customers/{customer_id}/convert-nie-to-nif
  • 4.46.0 : Make payment_method optional field for GET /orgs/{org_id}/accounts/{account_id}

  • Prepaid accounts will not have payment_method field in the response.
  • 4.45.0 : Allow TECI payment method
  • Adds examples for get account with TECI payment method.
  • Change enum for available payment methods.
  • 4.44.0 : Added new field to GET /orgs/{org_id}/accounts/{account_id}
  • Added new schema AccountInvoice to GetAccount with field cycle.
  • Added fields name, day, type and frequency to InvoiceCycle schema.
  • 4.43.0 : Add Customer Identification Process endpoints

    • Add new endpoint: GET /orgs/{org_id}/customers/{customer_id}/identification-processes/{identification_process_id}
    • Add new endpoint: GET /orgs/{org_id}/customers/{customer_id}/identification-processes
  • 4.42.0 : Added properly formed examples

  • Adds examples to several endpoints with correct requests/responses, as some autogenerated examples where semantically incorrect.
  • Moves some examples to the components section.
  • 4.41.0 : Removed status from GetAccount schema. Changed

    • Removed status field from GetAccount schema. Won’t be used
    • Changed PaymentMethod required field from reference_id to token_id
  • 4.40.0 : Removed status from GetAccount schema. Changed

    • Removed status field from GetAccount schema. Won’t be used
    • Changed PaymentMethod required field from reference_id to token_id
  • 4.39.0 : Add new field to GetAccount schema and refactor GetPaymentMethod. Removed uuid from reference_id field

    • Added new field status with enum values ACTIVE and PAYMENT_METHOD_PENDING to GetAccount schema
    • Added oneOf to identify if payment method is DirectDebit or CreditCard more easily
    • Removed uuid format from reference_id field in GetPaymentMethod schema
  • 4.38.0 : Add new field to BillingAddress schema

    • Added new field state_id to BillingAddress schema
  • 4.37.0 : Fix schema name NewDigitalCustomer

    • Fix schema name DigitalCustomer to NewDigitalCustomer for consistency in schema names
  • 4.36.0 : Modify POST /accounts and GET /account

    • Delete required to billing_address object in POST /accounts
    • New enum RECURRING_PREPAID modality in POST /accounts
    • New enum RECURRING_PREPAID in GET /accounts/{account_id}
    • New enum CREDIT_CARD in PaymentType schema
    • New property reference_id in PaymentMethod schema to POST /accounts
    • (fix) Delete external_id in DigitalCustomerResponse schema
  • 4.35.0 : Modify response of GET /accounts/{account_id}

    • Modified response endpoint GET /orgs/{org_id}/accounts/{account_id}
  • 4.34.0 : Update format for credit card expiration date

    • Updated endpoint GET /orgs/{org_id}/customers/{customer_id}/available-credit-cards
  • 4.33.0 : Add new schema DigitalCustomer to post customer, get customer and patch customer

    • Added new schema DigitalCustomer #/components/schemas/DigitalCustomer
    • Added new schema DigitalPersonalInfoResponse #/components/schemas/DigitalPersonalInfoResponse
    • Added new schema PatchDigitalPersonalInfo #/components/schemas/PatchDigitalPersonalInfo
    • Added new schema MobilePhoneNumber #/components/schemas/MobilePhoneNumber
  • 4.32.0 : Add new endpoint

    • Added new endpoint PATCH /orgs/{org_id}/accounts/{account_id}/payment-method
  • 4.31.0 : Add new endpoint

    • Added new endpoint GET /orgs/{org_id}/customers/{customer_id}/available-credit-cards
  • 4.30.0 : Delete customer credentials by id

    • Added credential id to the response of GET /orgs/{org_id}/customers/{customer_id}/credentials
    • Refactor endpoint DELETE /orgs/{org_id}/customers/{customer_id}/credentials/{credential_id} to delete using the credential id instead of the username
  • 4.29.0 : Add new POST type endpoint to associate categories to customer

    • Added new endpoint POST /orgs/{org_id}/customers/{customer_id}/categories/{category_id}
  • 4.28.0 : Add new endpoint

    • Added new endpoint DELETE /orgs/{org_id}/categories/{category_id}
  • 4.27.0 : Add new endpoint

    • Added new endpoint PATCH /orgs/{org_id}/categories/{category_id}
  • 4.26.0 : Add new endpoint

    • Added new endpoint DELETE /orgs/{org_id}/customers/{customer_id}/categories/{category_id}
  • 4.25.0 : Add new endpoint

    • Added new endpoint GET /orgs/{org_id}/customers/{customer_id}/categories/{category_id}
  • 4.24.0 : Add new endpoint

    • Added new endpoint GET /orgs/{org_id}/customers/search
  • 4.23.0 : Added category valid_values

    • add field valid_values to Category and PostCategories
  • 4.22.2 : Unify Segment

    • remove PrivateSegment and replace it with Segment
    • remove CorporateSegment and replace it with Segment
  • 4.22.1 : Add missing HTTP status code

    • added to all endpoints the missing HTTP status codes that could be returned.
  • 4.22.0 : Adds new endpoint

    • added url GET /orgs/{org_id}/customers/{customers_id}/accounts
  • 4.21.0 : Added new endpoint

    • added new endpoint PATCH /orgs/{org_id}/customers
  • 4.20.3 : Merged segment field on GET /orgs/{org_id}/customers/{customer_id}

    • PrivateSegment and CorporateSegment schemas have been merged into Segment for the getCustomer operation.
  • 4.20.2 : Rework of field in GET /orgs/{org_id}/accounts/{account_id}

    • Rework of payment_method field.
  • 4.20.1 : Fixed field format GET /orgs/{org_id}/accounts/{account_id}

    • Added UUID format to customer_id field.
  • 4.20.0 : Added new endpoint GET /orgs/{org_id}/accounts/{account_id}

    • Added new endpoint GET /orgs/{org_id}/accounts/{account_id}
  • 4.19.0 : Updated getCustomer endpoint response with all the missing fields.

    • getCustomer now returns either a PrivateCustomer or a CorporateCustomer plus the generated fields.
    • Generated fields have been renamed to created_at, ended_at and updated_at.
    • external_id has been removed from the response. It can be added in the future if needed.
  • 4.18.0 : Segment enum is split into two separate enums, one for private customer, another for corporate customer.

  • 4.17.0 : Changes in response code set for getCustomerIdByCustomerExternalId endpoint
    - added 500 error code
    - removed 400 error code

  • 4.16.0 : Changes in response code set for getAccountIdByAccountExternalId endpoint

    • added 500 error code
    • removed 400 error code
  • 4.15.0 : Adding required field in AssociatedUser

    • Added nationality> fields in AssociatedUser
  • 4.14.0 : LanguageCode schema type changed from string to enum

    • LanguageCode schema type changed from string to enum
  • 4.13.0 : Adds new endpoint

    • added url GET /orgs/{org_id}/external-accounts/{external_account_id}
  • 4.12.0 : Adds new endpoint

    • added url POST /orgs/{org_id}/customers/{customer_id}/accounts
  • 4.11.2 : Removed non-required fields in AssociatedUser and added new field to POST /orgs/{org_id}/customers response

    • Removed contact_info> and nationality> fields in AssociatedUser
    • Added external_id> to POST /orgs/{org_id}/customers response
  • 4.11.1 : Validation in ContactInfo Schema

    • Added required properties and pattern/format validation in ContactInfo Schema
  • 4.11.0 : Adds new endpoint

    • added url DELETE /orgs/{org_id}/customers/{customer_id}
  • 4.10.0 : Adds new endpoint

    • added url DELETE /orgs/{org_id}/customers/{customer_id}/credentials/{username}
  • 4.9.0 : Adds new endpoint

    • added url DELETE /orgs/{org_id}/customers/{customer_id}/accounts/{account_id}
  • 4.8.0 : Adds new endpoint

    • added url POST /orgs/{org_id}/customers/{customer_id}/credentials
  • 4.7.1 : Changed return code in PATCH and returning new dates renamed with time

    • Changed return code from 200 to 201 PATCH /orgs/{org_id}/customers/{customer_id}/categories
    • Changed return code from 200 to 201 PATCH /orgs/{org_id}/external-customers/{customer_external_id}/categories
    • New fields create_date_time>, end_date_time>, last_modified_date_time>
      in GET /orgs/{org_id}/customers/{customer_id}/categories
  • 4.7.0 : Added customer schema

    • added customer schema
  • 4.6.1 : Changes POST /orgs/{org_id}/customers

    • change request to avoid auto generated fields
  • 4.6.0 : Adds new endpoint

    • add url POST /orgs/{org_id}/customers/credentials
  • 4.5.0 : Adds new endpoint

    • add url POST /orgs/{org_id}/customers
  • 4.3.6 : Field value> in customer categories now is nullable

    • Field value> in customer categories now is nullable. Customer categories with null value won’t be shown
  • 4.3.5 : Delete traceability system.

    • erase url /orgs/{org_id}/traces/customers
    • erase url /orgs/{org_id}/traces/trees
  • 4.3.4 : Adds ErrorResponse schema and adds disable additional properties on responses.

  • 4.3.3 : Remove max-length from reason> in customer category. Will be checked in code

    • Removed maxLength from reason> field
  • 4.3.2 : Creation this change logs and rename enums to TraceParams

    • Creation this release notes
    • Rename Enums to TraceParams